Name:           teli-host-pxe
Version:        1
Release:        1%{?dist}
Summary:        PXE configuration

License:        GPLv3+
Source0:        %{name}-%{version}.tar.gz

Requires:       tftp-server
Requires:       syslinux-tftpboot
Requires:       /var/lib/tftpboot
Requires:       /var/www/html

BuildArch:      noarch

%description
PXE configuration for Teli Host.

%prep
%autosetup

%build
%make_build

%install
%make_install

%post
cp /tftpboot/pxelinux.0 %{_sharedstatedir}/tftpboot/
cp /tftpboot/ldlinux.c32 %{_sharedstatedir}/tftpboot/
cp /tftpboot/vesamenu.c32 %{_sharedstatedir}/tftpboot/
cp /tftpboot/libcom32.c32 %{_sharedstatedir}/tftpboot/
cp /tftpboot/libutil.c32 %{_sharedstatedir}/tftpboot/
%end

%files
%license COPYING
%doc README
%{_sharedstatedir}/tftpboot/grub.cfg
%{_sharedstatedir}/tftpboot/pxelinux.cfg/default
%{_localstatedir}/www/html/install/ks.cfg

%changelog
* Thu Sep 16 2021 Mattias Ohlsson <mattias.ohlsson@inprose.com>
- Initial build
